//
//  NSImage+Snap.m
//  Snap
//
//  Created by James Martinez on 1/5/13.
//  Copyright (c) 2013 James Martinez. All rights reserved.
//

#import "NSImage+Snap.h"

@implementation NSImage (Snap)

+ (NSImage *)resizeImage:(NSImage *)image toSize:(CGSize)size {
    NSImageView *imageView = [[NSImageView alloc] initWithFrame:NSMakeRect(0, 0, size.width, size.height)];
    [imageView setImageScaling:NSImageScaleProportionallyUpOrDown];
    [imageView setImage:image];
    NSRect imageViewFrame = imageView.frame;
    NSBitmapImageRep *bitmapImageRep = [imageView bitmapImageRepForCachingDisplayInRect:imageViewFrame];
    [imageView cacheDisplayInRect:imageViewFrame toBitmapImageRep:bitmapImageRep];

    NSData *imageData = [bitmapImageRep representationUsingType:NSPNGFileType properties:nil];
    return [[NSImage alloc] initWithData:imageData];
}

@end
